<?php

namespace Drupal\instagram_feeds;

use Drupal\instagram_feeds\Entity\InstagramAccountInterface;

/**
 * Instagram Feeds Cron Handler interface.
 */
interface InstagramFeedsCronHandlerInterface {

  const INSTAGRAM_POST_PATH = 'https://www.instagram.com/p/';

  /**
   * Cron handler to import Instagram posts for all configured accounts.
   */
  public function importInstagramPosts();

  /**
   * Get last imported date for the given Instagram account.
   *
   * @param \Drupal\instagram_feeds\Entity\InstagramAccountInterface $account
   *   Instagram Feed configuration Entity.
   *
   * @return int
   *   Last important Unix timestamp for the give Instagram account.
   */
  public function getLastImportTimestamp(InstagramAccountInterface $account): int;

  /**
   * Refreshes Instagram token as per scheduled frequency.
   */
  public function refreshTokens();

}
